Package it.ernytech.tdlib

## Class TdApi.InputMessageAnimation

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageAnimation

Enclosing class:
  TdApi

    public static class TdApi.InputMessageAnimation
    extends TdApi.InputMessageContent

An animation message (GIF-style).

### Field Summary

Fields
`TdApi.InputFile` `animation` Animation file to be sent.
`TdApi.FormattedText` `caption` Animation caption; 0-200 characters.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `duration` Duration of the animation, in seconds.
`int` `height` Height of the animation; may be replaced by the server.
`TdApi.InputThumbnail` `thumbnail` Animation thumbnail, if available.
`int` `width` Width of the animation; may be replaced by the server.

### Constructor Summary

Constructors
`InputMessageAnimation()` Default constructor.
`InputMessageAnimation​(TdApi.InputFile animation, TdApi.InputThumbnail thumbnail, int duration, int width, int height, TdApi.FormattedText caption)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### animation

    public TdApi.InputFile animation

Animation file to be sent.

#### thumbnail

    public TdApi.InputThumbnail thumbnail

Animation thumbnail, if available.

#### duration

    public int duration

Duration of the animation, in seconds.

#### width

    public int width

Width of the animation; may be replaced by the server.

#### height

    public int height

Height of the animation; may be replaced by the server.

#### caption

    public TdApi.FormattedText caption

Animation caption; 0-200 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageAnimation

    public InputMessageAnimation()

Default constructor.

#### InputMessageAnimation

    public InputMessageAnimation​(TdApi.InputFile animation,
                                 TdApi.InputThumbnail thumbnail,
                                 int duration,
                                 int width,
                                 int height,
                                 TdApi.FormattedText caption)

Constructor for initialization of all fields.

Parameters:
  `animation` - Animation file to be sent.
  `thumbnail` - Animation thumbnail, if available.
  `duration` - Duration of the animation, in seconds.
  `width` - Width of the animation; may be replaced by the server.
  `height` - Height of the animation; may be replaced by the server.
  `caption` - Animation caption; 0-200 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR